//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#include "StdHeaders.h"

#include "SwapPaneCtrl.h"

#include "Dialog.h"

using namespace VectorWorks::VWUI;

EVENT_DISPATCH_MAP_BEGIN( VWSwapPaneCtrl );
EVENT_DISPATCH_MAP_END;

VWSwapPaneCtrl::VWSwapPaneCtrl(TControlID id)
: VWControlsContainer( id )
{
}

VWSwapPaneCtrl::~VWSwapPaneCtrl()
{
}

bool VWSwapPaneCtrl::CreateControl(VWDialog* pDlg, bool bHasFrame /*=true*/)
{
	::GS_CreateGroupBox( gCBP, pDlg->GetControlID(), fControlID, TXString(""), bHasFrame );
	return VWControl::CreateControl( pDlg );
}

void VWSwapPaneCtrl::OnDDXInitialize()
{
}

void VWSwapPaneCtrl::OnSetUpEvent()
{
}

void VWSwapPaneCtrl::OnSetDownEvent()
{
}

void VWSwapPaneCtrl::OnUpdateUI()
{
}

bool VWSwapPaneCtrl::CanEnableOK()
{
	return true;
}
